#include <sys/types.h>
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>

int main(int argc, char **argv)
{
	time_t now;
	struct tm * local_t;

        srand((unsigned int) getpid());
	now = time(NULL);

	local_t = localtime(&now);
	printf("%u: sec=%d, min=%d, hour=%d, mday=%d, mon=%d, year=%d, wday=%d, yday=%d, isdst=%d\n",
               (unsigned) now, local_t->tm_sec, local_t->tm_min,
               local_t->tm_hour, local_t->tm_mday, local_t->tm_mon,
               local_t->tm_year, local_t->tm_wday, local_t->tm_yday,
               local_t->tm_isdst);
        
        /* set isdst to something random (simulate uninitalised) */
        local_t->tm_isdst = rand() - (RAND_MAX / 2);
        printf("using isdst=%d\n", local_t->tm_isdst);
        now = mktime(local_t);

	local_t = localtime(&now);
	printf("%u: sec=%d, min=%d, hour=%d, mday=%d, mon=%d, year=%d, wday=%d, yday=%d, isdst=%d\n",
               (unsigned) now, local_t->tm_sec, local_t->tm_min,
               local_t->tm_hour, local_t->tm_mday, local_t->tm_mon,
               local_t->tm_year, local_t->tm_wday, local_t->tm_yday,
               local_t->tm_isdst);

        return 0;
}

